import { Component } from "react";
import { ExtendedSimpleNameEntry } from "@klyte45/adr-commons";
import { GitHubFileItem } from "@klyte45/adr-commons";
declare enum Screen {
    DEFAULT = 0,
    NAMESET_IMPORT_LIB = 1,
    IMPORTING_NAMESET = 2,
    AWAITING_ACTION = 3,
    DELETE_CONFIRM = 4,
    EDIT_NAMESET = 5,
    NAMESET_IMPORT_GITHUB = 6
}
type State = {
    availableNamesets: NamesetStructureTreeNode;
    currentScreen: Screen;
    namesetBeingImported?: ExtendedSimpleNameEntry;
    namesetBeingDeleted?: ExtendedSimpleNameEntry;
    namesetBeingEdited?: ExtendedSimpleNameEntry;
    lastMessage?: string | JSX.Element;
    isExporting?: boolean;
    lastSourceImport: Screen;
};
export type NamesetStructureTreeNode = {
    rootContent: ExtendedSimpleNameEntry[];
    subtrees: Record<string, NamesetStructureTreeNode>;
};
export default class CityNamesetLibraryCmp extends Component<any, State> {
    constructor(props: any);
    componentDidMount(): void;
    private updateNamesets;
    render(): JSX.Element;
    goToImportDetailsGitHub(p: GitHubFileItem): Promise<void>;
    getActionButtons(x: ExtendedSimpleNameEntry): JSX.Element;
    goToEdit(x?: ExtendedSimpleNameEntry): void;
    goToDelete(x: ExtendedSimpleNameEntry): void;
    doDelete(x: ExtendedSimpleNameEntry): Promise<void>;
    doExport(x: ExtendedSimpleNameEntry): Promise<void>;
    doImportNameset({ namesetData, namesetNameImport }: {
        namesetData: ExtendedSimpleNameEntry;
        namesetNameImport: string;
    }): Promise<void>;
    doUpdate(namesetData: Omit<ExtendedSimpleNameEntry, "ChecksumString">): Promise<void>;
    goToImportDetails(p: ExtendedSimpleNameEntry): void;
}
export {};
